Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition.pattern.wildcard
Class WildcardDefinitionPatternMatcher

    java.lang.Object
      org.apache.tiles.definition.pattern.wildcard.WildcardDefinitionPatternMatcher

All Implemented Interfaces:
  DefinitionPatternMatcher

    public class WildcardDefinitionPatternMatcher

extends java.lang.Object
implements DefinitionPatternMatcher

Matches wildcard patterns in definitions.

Since:
  2.2.0
Version:
  $Rev: 795343 $ $Date: 2009-07-18 13:26:09 +0200 (sab, 18 lug 2009) $

Constructor Summary
`WildcardDefinitionPatternMatcher(java.lang.String pattern, Definition definition, WildcardHelper wildcardHelper)` Constructor.

Method Summary
`Definition` | `createDefinition(java.lang.String definitionName)` Creates a definition, given the definition name, through the use of pattern matching.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WildcardDefinitionPatternMatcher

    public WildcardDefinitionPatternMatcher(java.lang.String pattern,
                                            Definition definition,
                                            WildcardHelper wildcardHelper)

  Constructor.

  Parameters:
    `pattern` - The pattern to use, in string form.
    `definition` - The definition to use as a basis.
    `wildcardHelper` - The object that parses wildcard expressions and recognized substitution variables.
  Since:
    2.2.0

Method Detail

### createDefinition

    public Definition createDefinition(java.lang.String definitionName)

  Creates a definition, given the definition name, through the use of pattern matching.

  Specified by:
    `createDefinition` in interface `DefinitionPatternMatcher`
  Parameters:
    `definitionName` - The definition name to match.
  Returns:
    The created definition, if matched, or `null` if not matched.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.